# Graphic3d_TransModeFlags.hxx File Reference

## Enumerations

enum

{
Graphic3d_TMF_None = 0x0000, Graphic3d_TMF_PanPers = 0x0001, Graphic3d_TMF_ZoomPers = 0x0002, Graphic3d_TMF_RelativeZoomPers = 0x0004,
Graphic3d_TMF_RotatePers = 0x0008, Graphic3d_TMF_RelativeRotatePers = 0x0010, Graphic3d_TMF_TriedronPers = 0x0020, Graphic3d_TMF_FullPers = Graphic3d_TMF_PanPers | Graphic3d_TMF_ZoomPers | Graphic3d_TMF_RotatePers,
Graphic3d_TMF_RelativeFullPers = Graphic3d_TMF_PanPers | Graphic3d_TMF_RelativeZoomPers | Graphic3d_TMF_RelativeRotatePers
}

## Variables

Standard_EXPORT typedef Standard_Integer | Graphic3d_TransModeFlags

## Enumeration Type Documentation

anonymous enum

Enumeration values:

  Graphic3d_TMF_None |
  Graphic3d_TMF_PanPers |
  Graphic3d_TMF_ZoomPers |
  Graphic3d_TMF_RelativeZoomPers |
  Graphic3d_TMF_RotatePers |
  Graphic3d_TMF_RelativeRotatePers |
  Graphic3d_TMF_TriedronPers |
  Graphic3d_TMF_FullPers |
  Graphic3d_TMF_RelativeFullPers |

## Variable Documentation

Standard_EXPORT typedef Standard_Integer Graphic3d_TransModeFlags